Skip to main content
GET
/
utilization-target-periods
/
{id}
Get a utilization target period
curl --request GET \
  --url https://www.ruddr.io/api/workspace/utilization-target-periods/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "7c3e1a94-d582-4b1e-8f63-29a0e5d71c84",
  "start": "2024-01-01",
  "end": "2024-06-30",
  "targetPercentage": 80,
  "isDefault": false,
  "createdAt": "2024-01-05T10:23:41.000Z"
}
A period defining a member’s billable utilization targets.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The utilization target period uuid.

Response

200

id
string

The unique identifier for the object.

start
string<date>

The start date for the period. Will be in the form YYYY-MM-DD.

end
string<date> | null

The end date for the period. Will be in the form YYYY-MM-DD. null if this is the most recent period.

targetPercentage
number | null

The target billable utilization percentage for this period.

isDefault
boolean

Whether this is the default utilization target period for the member.

createdAt
string<date-time>

The timestamp when the object was created.